# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDOListFactory

Packages that use CDOListFactory
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.

## Uses of CDOListFactory in org.eclipse.emf.cdo.common.revision

Fields in org.eclipse.emf.cdo.common.revision declared as CDOListFactory
Modifier and Type
Field
Description
`static final CDOListFactory`
CDOListFactory.`DEFAULT`

## Uses of CDOListFactory in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOListFactory
Modifier and Type
Method
Description
`static CDODataInput`
CDOCommonUtil.`createCDODataInput(org.eclipse.net4j.util.io.ExtendedDataInputStream inputStream, CDOPackageRegistry packageRegistry, CDOBranchManager branchManager, CDOCommitInfoManager commitManager, CDORevisionFactory revisionFactory, CDOListFactory listFactory, CDOLobStore lobStore)`

## Uses of CDOListFactory in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOListFactory
Modifier and Type
Method
Description
`protected CDOListFactory`
CDODataInputImpl.Default.`getListFactory()`
`protected abstract CDOListFactory`
CDODataInputImpl.`getListFactory()`